org.apache.flume.conf.channel

## Enum ChannelSelectorType

- java.lang.Object
- - java.lang.Enum<ChannelSelectorType>
  - - org.apache.flume.conf.channel.ChannelSelectorType

- All Implemented Interfaces:
    Serializable, Comparable<ChannelSelectorType>

      public enum ChannelSelectorType
      extends Enum<ChannelSelectorType>

  Enumeration of built in channel selector types available in the system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLEXING` Multiplexing channel selector.
    `OTHER` Place holder for custom channel selectors not part of this enumeration.
    `REPLICATING` Replicating channel selector.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChannelSelectorClassName()`
    `static ChannelSelectorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChannelSelectorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final ChannelSelectorType OTHER

      Place holder for custom channel selectors not part of this enumeration.

    - #### REPLICATING

          public static final ChannelSelectorType REPLICATING

      Replicating channel selector.

    - #### MULTIPLEXING

          public static final ChannelSelectorType MULTIPLEXING

      Multiplexing channel selector.

  - ### Method Detail

    - #### values

          public static ChannelSelectorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChannelSelectorType c : ChannelSelectorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChannelSelectorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getChannelSelectorClassName

          public String getChannelSelectorClassName()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.